Bug 985187 - fipvlan should print the proper message and return the correct code if the fcoe and libfcoe modules are not loaded
fipvlan should print the proper message and return the correct code if the fc...
Status: ASSIGNED
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: fcoe-utils (Show other bugs)
7.0
Unspecified Unspecified
medium Severity medium
: rc
: ---
Assigned To: Chris Leech
xhe@redhat.com
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-17 00:28 EDT by Xiaowei Li
Modified: 2017-07-01 19:49 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Xiaowei Li 2013-07-17 00:28:16 EDT
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. modprobe -r fcoe 
2. modprobe -r libfcoe
3. fipvlan -c -a -s

issues:
1. fipvlan return 0 but actually it does not create and start the fcoe instance successfully 
2. fipvlan should load libfcoe and fcoe modules automatically.
3. /sys/module/libfcoe/parameters/create is deprecated in RHEL 7.0. The default
is to use the newer /sys/bus/fcoe/ interfaces if they are available. so please print the proper error messages.

Actual results:
[root@storageqe-13 ~]# fipvlan -a -c -s
Fibre Channel Forwarders Discovered
interface       | VLAN | FCF MAC          
------------------------------------------
p2p1            | 802  | 00:05:73:b2:7f:00
p2p2            | 802  | 00:05:73:b2:7f:00


Starting FCoE on interface p2p1.802-fcoe
fipvlan: fcoe_mod_instance_start: error 2 No such file or directory
fipvlan: fcoe_mod_instance_start: Failed to open file: /sys/module/libfcoe/parameters/create
fipvlan: fcoe_mod_instance_start: error 2 No such file or directory
fipvlan: fcoe_mod_instance_start: May be fcoe stack not loaded, starting fcoe service will fix that
Starting FCoE on interface p2p2.802-fcoe
fipvlan: fcoe_mod_instance_start: error 2 No such file or directory
fipvlan: fcoe_mod_instance_start: Failed to open file: /sys/module/libfcoe/parameters/create
fipvlan: fcoe_mod_instance_start: error 2 No such file or directory
fipvlan: fcoe_mod_instance_start: May be fcoe stack not loaded, starting fcoe service will fix that
[root@storageqe-13 ~]# echo $?
0

[root@storageqe-13 ~]# fcoeadm -i
No FCoE interfaces created.


Expected results:


Additional info:
Comment 1 Xiaowei Li 2013-07-17 00:29:05 EDT
fcoe-utils-1.0.28-2.el7.x86_64
Comment 3 Xiaowei Li 2013-08-19 09:36:30 EDT
please set the dev_ack. thanks a lot.
Comment 4 Petr Šabata 2013-08-19 11:29:26 EDT
No, please do not.

I'm not sure whether this (as it's not hardware related) can be autoloaded or not.  The tool definitely shouldn't handle more than a possible functionality request.

What benefit this actually brings?  And as far as I know, we don't autoload such modules in other tools either (e.g. iproute).
Comment 5 Xiaowei Li 2013-08-19 22:43:13 EDT
(In reply to Petr Šabata from comment #4)
> No, please do not.
> 
> I'm not sure whether this (as it's not hardware related) can be autoloaded
> or not.  The tool definitely shouldn't handle more than a possible
> functionality request.
> 
> What benefit this actually brings?  And as far as I know, we don't autoload
> such modules in other tools either (e.g. iproute).

I think there are two issues here:

It's okay by me if fipvlan does not load the related modules automatically but it should print the proper message and return the correct code.

correct the bug title and the three issues.

1. fipvlan return 0 but actually it does not create and start the fcoe instance successfully. it should return the correct code.
2. fipvlan should just tell the users the libfcoe and fcoe modules are not loaded then exit. please don't print such message since /sys/module/libfcoe/parameters/create is deprecated in RHEL 7.0.
Comment 6 Petr Šabata 2013-11-19 04:36:55 EST
The nature of this fix is more like an RFE.  Moving to 7.1.

Note You need to log in before you can comment on or make changes to this bug.